/*****************************************************************************
 * Filename:    cryptfs/dm.h                                                 *
 * Description:                                                              *
 * Copyright:   2007 by Alexander Motzkau                                    *
 *****************************************************************************/

#ifndef __DM_H__
#define __DM_H__

#include "options.h"

enum bool setup_crypt(struct map* map, void* key, int keylen, struct map_options* override, struct configuration* config);
void remove_crypt(struct map* map, struct configuration* config);
char *get_crypt_name(struct map* map);

#endif
